Bug 188591 - python_sitelib on RHEL3 and RHEL4 differs
python_sitelib on RHEL3 and RHEL4 differs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 11:48 EDT by Mihai Ibanescu
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 15:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Ibanescu 2006-04-11 11:48:00 EDT
+++ This bug was initially created as a clone of Bug #185352 +++

Description of problem:

python_sitelib on RHEL3 and RHEL4 differs

Run this command on RHEL4 and RHEL3, both x86_64:

python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(),
sysconfig.get_python_lib(1)'

The first string is the python_sitearch, and the second string is that of
python_sitelib.

On RHEL3 x86_64:
$ python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(),
sysconfig.get_python_lib(1)'

/usr/lib64/python2.2/site-packages /usr/lib64/python2.2/site-packages


On RHEL4 x86_64:
$ python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(),
sysconfig.get_python_lib(1)'

/usr/lib/python2.3/site-packages /usr/lib64/python2.3/site-packages

Why the differences?  This problem seems to keep several x86_64 python-related
packages from building on RHEL3.

Version-Release number of selected component (if applicable):

RHEL3 and RHEL4 x86_64, any update level

-- Additional comment from dag@wieers.com on 2006-03-14 01:18 EST --
I have seen this as well. All noarch x86_64 packages fail to build, and some
mixed noarch/arch packages (that both use python_sitelib and python_sitearch)
fail to build as well (python-elementree comes to mind).

FC2 is also affected by this problem. (as I do not have a RH9 or FC1 x86_64)

[root@lisse rpms]# dar-exec "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'"
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for el4a.
/usr/lib/python2.3/site-packages /usr/lib64/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for el4i.
/usr/lib/python2.3/site-packages /usr/lib/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for fc3a.
/usr/lib/python2.3/site-packages /usr/lib64/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for fc3i.
/usr/lib/python2.3/site-packages /usr/lib/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for fc2a.
/usr/lib64/python2.3/site-packages /usr/lib64/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for fc2i.
/usr/lib/python2.3/site-packages /usr/lib/python2.3/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for fc1i.
/usr/lib/python2.2/site-packages /usr/lib/python2.2/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for el3a.
/usr/lib64/python2.2/site-packages /usr/lib64/python2.2/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for el3i.
/usr/lib/python2.2/site-packages /usr/lib/python2.2/site-packages
= Executing "python -c 'from distutils import sysconfig; print
sysconfig.get_python_lib(), sysconfig.get_python_lib(1)'" for rh9i.
/usr/lib/python2.2/site-packages /usr/lib/python2.2/site-packages

So I bet everything prior to python 2.3.4 is affected.

Here is a diff between EL3 and EL4 for distutils/sysconfig.py
     if os.name == "posix":
+        if plat_specific or standard_lib:
+            lib = "lib64"
+        else:
+            lib = "lib"
         libpython = os.path.join(prefix,
-                                 "lib64", "python" + sys.version[:3])
+                                 lib, "python" + get_python_version())

This makes it impossible to cross-build python packages.

-- Additional comment from misa@redhat.com on 2006-03-14 08:17 EST --
I guess we didn't catch these when we did the work for multilib.

-- Additional comment from dag@wieers.com on 2006-04-05 20:42 EST --
The recent EL3 U7 python update would have been a good opportunity to fix this.
Is it planned to be fixed in the next EL3 python update ? Or at least queued
when there is a real need to release a python update ?

-- Additional comment from misa@redhat.com on 2006-04-07 17:13 EST --
Dag, we are working on getting a schedule for this bug. It could not get into
U7, it was too late for that.

Note You need to log in before you can comment on or make changes to this bug.